# $Revision: 1.13 $, $Date: 2008/07/27 22:34:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Path-Expand
Summary:	File::Path::Expand - expand filenames
Summary(pl.UTF-8):	File::Path::Expand - rozwijanie nazw plików
Name:		perl-File-Path-Expand
Version:	1.02
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	742aa40a4ffb26d14de01192764bd7ab
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Path::Expand expands user directories in filenames. For the
simple case it's no more complex than s{^~/}{$HOME/}, but for other
cases it consults getpwent and does the right thing.

%description -l pl.UTF-8
File::Path::Expand rozwija katalogi użytkownika w nazwach plików. W
prostym przypadku nie jest to bardziej skomplikowane od
s{^~/}{$HOME/}, ale w innych wykorzystywana jest funkcja getpwent, aby
zrobić to co trzeba.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Path-Expand.spec,v $
Revision 1.13  2008/07/27 22:34:44  arekm
- release 2

Revision 1.12  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.10  2006/06/26 11:52:49  maciek2w
- updated to 1.02

Revision 1.9  2004/11/03 22:30:21  paladine
- formatting

Revision 1.8  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/05/08 16:33:49  radek
- release 2: s/pld.org.pl/pld-linux.org/

Revision 1.6  2004/04/20 23:07:07  ankry
- new bcond fixes

Revision 1.5  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.4  2004/04/14 14:57:19  ankry
- cosmetics

Revision 1.3  2003/11/28 19:45:50  qboosh
- pl

Revision 1.2  2003/11/27 17:09:08  ankry
- md5

Revision 1.1  2003/11/23 13:16:14  radek
- new
